Bug 217595 - sysctl usage
sysctl usage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-28 16:59 EST by Karel Zak
Modified: 2014-03-16 23:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8.52-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 19:38:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff (1.61 KB, patch)
2007-04-16 19:37 EDT, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Karel Zak 2006-11-28 16:59:29 EST
Please, see /etc/sysconfig/network-scripts/init.ipv6-global.

There is used "sysctl -a | grep", although the sysctl command supports
selection. It means

  sysctl -a | grep "^net\.ipv6\.conf\."

could be replaced with:

  sysctl net.ipv6.conf

Why? See:

  # sysctl net.ipv6.conf | wc -l
  84
  # sysctl -a | wc -l
  608


To be honest, the way how this init script reads list of interfaces is *ugly*. 

  sysctl -a | grep "^net\.ipv6\.conf\." | awk -F. '{ print $4 }' | sort -u

should be replaced with:
 
  ls /proc/sys/net/ipv6/conf/
Comment 1 Bill Nottingham 2007-04-16 19:37:54 EDT
Created attachment 152727 [details]
diff 

Here's what's going in 8.52-1. Cuts the time for showsysctl from 16 seconds to
a little over 1.

Note You need to log in before you can comment on or make changes to this bug.